ShopKeeperList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class ShopKeeperList

    java.lang.Object
      com.fenalco.entities.ShopKeeperList

    public class ShopKeeperList

extends java.lang.Object

Esta clase representa una lista de minoristas

Field Summary
`private java.util.Hashtable` | `shopKeepers` Es un Hashtable que tiene como llave un int que representa el id de una empresa minorista, el objeto es de tipo `ShopKeeper`

Constructor Summary
`ShopKeeperList()` Constructor por omisión de la clase ShopKeeperList
`ShopKeeperList(int supplierId)` Constructor de la clase para cargar la lista con los minoristas que un proveedor tiene activados

Method Summary
`void` | `filterByCity(int cityId)` Filtra La lista de minosristas por ciudad
`java.util.Hashtable` | `getShopKeepers()` Consultor para el atributo shopKeepers.
`boolean` | `loadData()` Hace una consulta en la tabla minorista por medio del método `query` de la clase `SqlUtilities` para cargar la lista de minoristas y llenar la variable shopKeepers con todos los minoristas registrados en el sistema
`boolean` | `loadData(int supplierId)` Hace una consulta en la tabla minorista por medio del método `query` de la clase `SqlUtilities` para cargar la lista de minoristas y llenar la variable shopKeepers con los minoristas activados por un proveedor
`static void` | `main(java.lang.String[] args)`
`boolean` | `nonClientList(int supplierId, int cityId)`
`void` | `setShopKeepers(java.util.Hashtable shopKeepers)` Modificador para el atributo shopKeepers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shopKeepers

    private java.util.Hashtable shopKeepers

  Es un Hashtable que tiene como llave un int que representa el id de una empresa minorista, el objeto es de tipo `ShopKeeper`

Constructor Detail

### ShopKeeperList

    public ShopKeeperList()

  Constructor por omisión de la clase ShopKeeperList

### ShopKeeperList

    public ShopKeeperList(int supplierId)

  Constructor de la clase para cargar la lista con los minoristas que un proveedor tiene activados

  Parameters:
    `supplierId` - Identificador del proveedor (empresa)

Method Detail

### loadData

    public boolean loadData()

  Hace una consulta en la tabla minorista por medio del método `query` de la clase `SqlUtilities` para cargar la lista de minoristas y llenar la variable shopKeepers con todos los minoristas registrados en el sistema

  Returns:
    Indica el éxito de la carga de los minoristas

### loadData

    public boolean loadData(int supplierId)

  Hace una consulta en la tabla minorista por medio del método `query` de la clase `SqlUtilities` para cargar la lista de minoristas y llenar la variable shopKeepers con los minoristas activados por un proveedor

  Parameters:
    `supplierId` - Identificador del proveedor
  Returns:
    booleano que indica el éxito de la carga de los minoristas

### nonClientList

    public boolean nonClientList(int supplierId,
                                 int cityId)

### filterByCity

    public void filterByCity(int cityId)

  Filtra La lista de minosristas por ciudad

  Parameters:
    `Id` - de la ciudad por la cual se va a filtrar

### getShopKeepers

    public java.util.Hashtable getShopKeepers()

  Consultor para el atributo shopKeepers.

  Returns:
    Valor para el atributo shopKeepers.

### setShopKeepers

    public void setShopKeepers(java.util.Hashtable shopKeepers)

  Modificador para el atributo shopKeepers.

  Parameters:
    `shopKeepers` - Nuevo valor para el atributo shopKeepers.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD